import { Observable } from 'rxjs';
import { SmzMultiTablesTab } from '../../modules/smz-multi-tables/multi-tables.state';
import { SmzBuilderUtilities } from '../common/smz-builder-utilities';
import { SmzMultiTablesBuilder } from './state-builder';
import { SmzMultiTablesTabHeaderBuilder } from './tab-header-builder';
import { SmzTableState } from '../../modules/smz-tables/models/table-state';
export declare class SmzMultiTablesTabBuilder extends SmzBuilderUtilities<SmzMultiTablesTabBuilder> {
    private _builder;
    private _tab;
    private label;
    protected that: this;
    constructor(_builder: SmzMultiTablesBuilder, _tab: SmzMultiTablesTab, label: string);
    setStyleClass(styleClass: string): SmzMultiTablesTabBuilder;
    allowClose(): SmzMultiTablesTabBuilder;
    setAsSelected(): SmzMultiTablesTabBuilder;
    allowDuplication(): SmzMultiTablesTabBuilder;
    header(): SmzMultiTablesTabHeaderBuilder;
    table(items$: Observable<any>, state: SmzTableState): SmzMultiTablesTabBuilder;
    get tab(): SmzMultiTablesBuilder;
}
